<?xml version="1.0" encoding="UTF-8"?>
<part class="form">
  <style>
    <property name="Geometry">{0,130,491,399}</property>
    <property name="Name">[SE_PROD.tel]</property>
    <property name="Caption">[Dados_Gerais]</property>
    <property name="AlwaysOnTop">.F.</property>
    <property name="AutoCenter">.T.</property>
    <property name="Font">
      <font name="Arial" width="0" height="-13" weight="400"/>
    </property>
    <property name="FormType">[dlgModal]</property>
    <property name="Modal">.F.</property>
    <property name="ScopeVarObj">[Local]</property>
    <property name="lClipper">.T.</property>
    <property name="lExitOnEnter">.T.</property>
    <property name="lExitOnESC">.T.</property>
    <property name="Variables">{modus,osoSayPDIVISAO,osoSayPPRINCFORN}</property>
    <property name="FromStyle">[Popup]</property>
    <property name="Clipsiblings">.F.</property>
    <property name="Clipchildren">.F.</property>
    <property name="TitleBar">.T.</property>
    <property name="StyleBorder">[3 - Sizable (Default)]</property>
    <property name="Icon">[]</property>
    <property name="NoIcon">.F.</property>
    <property name="SystemMenu">.T.</property>
    <property name="Minimizebox">.F.</property>
    <property name="Maximizebox">.F.</property>
    <property name="Closable">.T.</property>
    <property name="AbsAlignment">.T.</property>
    <property name="WindowState">[1 - Normal (Default)]</property>
    <property name="minHeight">-1</property>
    <property name="maxHeight">-1</property>
    <property name="minWidth">-1</property>
    <property name="maxWidth">-1</property>
    <property name="ScrollBars">[0 - None (Default)]</property>
    <property name="DSControl">.F.</property>
  </style>
  <method name="onFormInit"  ="">
    <![CDATA[parameters o, p1
modus:=p1]]>
  </method>
  <part class="group" inclass="">
    <style>
      <property name="Geometry">{0,0,478,345}</property>
      <property name="Name">[oGroup3]</property>
      <property name="TabIndex">34</property>
    </style>
    <part class="label">
      <style>
        <property name="Geometry">{242,233,74,16}</property>
        <property name="Name">[oSaypdic6]</property>
        <property name="Caption">[Cod Barras:]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">2</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{34,234,67,16}</property>
        <property name="Name">[oSayPREFFAB]</property>
        <property name="Caption">[Ref/Fab...:]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">3</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{35,298,84,16}</property>
        <property name="Name">[oSayPDIVISAO]</property>
        <property name="Caption">[Divisao...:]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">5</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{33,270,84,16}</property>
        <property name="Name">[oSayPPRINCFORN]</property>
        <property name="Caption">[Fabricante:]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">6</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{225,295,243,23}</property>
        <property name="Name">[osoSayPDIVISAO]</property>
        <property name="Caption">[...]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Border">.T.</property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">7</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{229,263,243,23}</property>
        <property name="Name">[osoSayPPRINCFORN]</property>
        <property name="Caption">[...]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Border">.T.</property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">8</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{11,19,98,23}</property>
        <property name="Name">[oPCOD]</property>
        <property name="varName">[m_PCOD]</property>
        <property name="nMaxLength">5</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">9</property>
      </style>
      <method name="onGetFocus"  ="">
        <![CDATA[.f.]]>
      </method>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{331,230,98,23}</property>
        <property name="Name">[opdic6]</property>
        <property name="varName">[m_pdic6]</property>
        <property name="nMaxLength">13</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">10</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{118,232,112,23}</property>
        <property name="Name">[oPREFFAB]</property>
        <property name="varName">[m_PREFFAB]</property>
        <property name="nMaxLength">15</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">11</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{117,17,346,23}</property>
        <property name="Name">[oPDESC]</property>
        <property name="varName">[m_PDESC]</property>
        <property name="nMaxLength">30</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">12</property>
      </style>
      <method name="onLostFocus"  ="">
        <![CDATA[alltrim(m_pdesc)<>""]]>
      </method>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{125,295,51,23}</property>
        <property name="Name">[oPDIVISAO]</property>
        <property name="varName">[m_PDIVISAO]</property>
        <property name="nMaxLength">4</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">13</property>
      </style>
      <method name="onLostFocus"  ="">
        <![CDATA[LASTKEY()=5 .OR. PSQ_BROW('SE_SUBD','PSESUBD','M_PDIVISAO','N','S',5,49,'SDDESC','@S25','',,oPDIVISAO,osoSayPDIVISAO)]]>
      </method>
    </part>
    <part class="ownerbutton">
      <style>
        <property name="Geometry">{193,297,16,16}</property>
        <property name="Name">[oboPDIVISAO]</property>
        <property name="BtnBitmap">[smPreview]</property>
        <property name="lResource">.T.</property>
        <property name="TabIndex">14</property>
      </style>
      <method name="onClick"  ="">
        <![CDATA[PSQ_BROW('SE_SUBD','PSESUBD','M_PDIVISAO','N','S',5,49,'SDDESC','@S25','','EXIBA',oPDIVISAO,osoSayPDIVISAO)]]>
      </method>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{121,266,51,23}</property>
        <property name="Name">[oPPRINCFORN]</property>
        <property name="varName">[m_PPRINCFORN]</property>
        <property name="nMaxLength">4</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">15</property>
      </style>
      <method name="onLostFocus"  ="">
        <![CDATA[LASTKEY()=5 .OR. PSQ_BROW('SCCPFAB','PSCCPFAB','M_PPRINCFORN','N','N',6,49,'CP_FANTASI','@S25','',,oPPRINCFORN,osoSayPPRINCFORN)]]>
      </method>
    </part>
    <part class="ownerbutton">
      <style>
        <property name="Geometry">{194,267,16,16}</property>
        <property name="Name">[oboPPRINCFORN]</property>
        <property name="BtnBitmap">[smPreview]</property>
        <property name="lResource">.T.</property>
        <property name="TabIndex">16</property>
      </style>
      <method name="onClick"  ="">
        <![CDATA[PSQ_BROW('SCCPFAB','PSCCPFAB','M_PPRINCFORN','N','N',6,49,'CP_FANTASI','@S25','','EXIBA',oPPRINCFORN,osoSayPPRINCFORN)]]>
      </method>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{219,65,105,16}</property>
        <property name="Name">[oSayPTIPO]</property>
        <property name="Caption">[Tipo.........:]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">122</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{219,91,63,16}</property>
        <property name="Name">[oSayPREF]</property>
        <property name="Caption">[Marca........:]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">123</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{219,111,81,16}</property>
        <property name="Name">[oSayPMARCAMODE]</property>
        <property name="Caption">[Modelo.......:]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">124</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{219,132,52,16}</property>
        <property name="Name">[oSayPCOR]</property>
        <property name="Caption">[Cor..........:]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">125</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{218,160,75,16}</property>
        <property name="Name">[oSayPTAM]</property>
        <property name="Caption">[Tamanhos.....:]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">126</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{312,61,42,23}</property>
        <property name="Name">[oPTIPO]</property>
        <property name="varName">[m_PTIPO]</property>
        <property name="nMaxLength">5</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">132</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{312,87,112,23}</property>
        <property name="Name">[oPREF]</property>
        <property name="varName">[m_PREF]</property>
        <property name="nMaxLength">15</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">133</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{309,114,147,23}</property>
        <property name="Name">[oPMARCAMODE]</property>
        <property name="varName">[m_PMARCAMODE]</property>
        <property name="nMaxLength">20</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">134</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{310,138,91,23}</property>
        <property name="Name">[oPCOR]</property>
        <property name="varName">[m_PCOR]</property>
        <property name="nMaxLength">12</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">135</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{311,165,77,23}</property>
        <property name="Name">[oPTAM]</property>
        <property name="varName">[m_PTAM]</property>
        <property name="nMaxLength">10</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">136</property>
      </style>
    </part>
  </part>
  <part class="buttonex" inclass="">
    <style>
      <property name="Geometry">{381,354,98,32}</property>
      <property name="Name">[oButtonex1]</property>
      <property name="Id">[IDOK]</property>
      <property name="Caption">[Retorna]</property>
      <property name="TabIndex">142</property>
    </style>
  </part>
</part>
